Rockband.lua error running Rimshot

Problems running games? Right in here.
drusklo
Posts: 2
Joined: 12 Mar 2012, 16:51

Post » 12 Mar 2012, 16:58

Hi, well that's the thing, when I try to run Rimshot it send me a message:
Error: main.lua:7: module 'rockband.lua' not found:
no file "rockband/lua.lua" in LOVE game directories.

no extension "rockband.lua" in LOVE paths.

no field package.preload['rockband.lua']
no file './rockband/lua.lua'
no file '/usr/local/share/lua/5.1/rockband/lua.lua'
no file '/usr/local/share/lua/5.1/rockband/lua/init.lua'
no file '/usr/local/lib/lua/5.1/rockband/lua.lua'
no file '/usr/local/lib/lua/5.1/rockband/lua/init.lua'
no file '/usr/share/lua/5.1/rockband/lua.lua'
no file '/usr/share/lua/5.1/rockband/lua/init.lua'
no file './rockband/lua.so'
no file '/usr/local/lib/lua/5.1/rockband/lua.so'
no file '/usr/lib/lua/5.1/rockband/lua.so'
no file '/usr/local/lib/lua/5.1/loadall.so'
no file './rockband.so'
no file '/usr/local/lib/lua/5.1/rockband.so'
no file '/usr/lib/lua/5.1/rockband.so'
no file '/usr/local/lib/lua/5.1/loadall.so'
And I don't know what to do, because I was looking for the package "rockband.lua" but I didn't find anything.

Some help please :) thanx.

Maurice
Stabyourself.net
Posts: 2143
Joined: 01 Feb 2012, 20:19

Post » 12 Mar 2012, 17:32

Rimshot was written for LÖVE 0.7.2, it won't work with 0.8.0.

drusklo
Posts: 2
Joined: 12 Mar 2012, 16:51

Post » 12 Mar 2012, 17:37

It works with 0.7.2 thanx :)